textures/1fancy/fancyglass
{
	qer_trans .5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	cull twosided
	{
		map textures/1fancy/fancyglass.tga
		blendFunc blend
		alphaGen const 0.05
	}
	
	{
		map textures/1fancy/fancyef.tga
		tcmod scale .5 .5
		tcgen environment
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.10
	}


	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/1fancy/fancylight1
{
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 900
	q3map_lightSubdivide 512
	q3map_lightimage textures/1fancy/fancyice1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/1fancy/fancylight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/1fancy/lava01
	{
		qer_editorimage textures/1fancy/lava01.tga
		qer_trans .5
		q3map_surfacelight 100
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/1fancy/lava01.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .05 .001
		}
	
		{ 
			map textures/1fancy/lava02.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll .025 -.001
		}

		{ 
			map textures/1fancy/lava03.tga
			blendFunc add
			rgbgen identity
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}

textures/common/watercaulk

{

	surfaceparm water

	surfaceparm nomarks

	surfaceparm nolightmap

	surfaceparm nodraw

}



textures/1fancy/electro
{
	qer_editorimage textures/1fancy/electro.tga
	qer_trans 0.5
	polygonOffset
	sort 6
	surfaceparm nonsolid
    	surfaceparm nomarks
    	surfaceparm nolightmap
	{
		map textures/1fancy/electro.tga
		tcMod scroll 0 0.5
		blendFunc GL_ONE GL_ONE
		alphaGen const 0.7
		depthWrite
		rgbGen identity
	}
}

///NODAMAGE///

textures/1fancy/fancywall1
{
	surfaceparm nodamage
	{
 		map $lightmap
		rgbGen identity
 	}
	{
 		map textures/1fancy/fancywall1.jpg
		blendFunc filter
	}
}

textures/1fancy/fancywall3
{
	surfaceparm nodamage
	{
 		map $lightmap
		rgbGen identity
 	}
	{
 		map textures/1fancy/fancywall3.jpg
		blendFunc filter
	}
}

textures/1fancy/fancywall3slick
{
	surfaceparm nodamage
	surfaceparm slick
	{
 		map $lightmap
		rgbGen identity
 	}
	{
 		map textures/1fancy/fancywall3slick.jpg
		blendFunc filter
	}
}


///PICMIPS///


textures/1fancy/Melodrama
{
		qer_editorimage textures/1fancy/Melodrama.jpg

		polygonOffset

		nomipmaps

		nopicmip

		surfaceparm nodamage
	{
 		map $lightmap
		rgbGen identity
 	}
	{
 		map textures/1fancy/Melodrama.jpg
		blendFunc filter
	}
}

textures/1fancy/kibisaac
{
		qer_editorimage textures/1fancy/kibisaac.tga				polygonOffset

		nomipmaps

		nopicmip

		surfaceparm nodamage
	{
 		map $lightmap
		rgbGen identity
 	}
	{
 		map textures/1fancy/kibisaac.tga
		blendFunc filter
	}
}

textures/1fancy/hugoskitchen
{
		qer_editorimage textures/1fancy/hugoskitchen.jpg					polygonOffset

		nomipmaps

		nopicmip

		surfaceparm nodamage
	{
 		map $lightmap
		rgbGen identity
 	}
	{
 		map textures/1fancy/hugoskitchen.jpg
		blendFunc filter
	}
}

textures/1fancy/sexycheese
{
		qer_editorimage textures/1fancy/sexycheese.jpg						polygonOffset

		nomipmaps

		nopicmip

		surfaceparm nodamage
	{
 		map $lightmap
		rgbGen identity
 	}
	{
 		map textures/1fancy/sexycheese.jpg
		blendFunc filter
	}
}

textures/1fancy/thepiecake
{
		qer_editorimage textures/1fancy/thepiecake.jpg						polygonOffset

		nomipmaps

		nopicmip

		surfaceparm nodamage
	{
 		map $lightmap
		rgbGen identity
 	}
	{
 		map textures/1fancy/thepiecake.jpg
		blendFunc filter
	}
}

textures/1fancy/hugomuffins
{
		qer_editorimage textures/1fancy/hugomuffins.jpg						polygonOffset

		nomipmaps

		nopicmip

		surfaceparm nodamage
	{
 		map $lightmap
		rgbGen identity
 	}
	{
 		map textures/1fancy/hugomuffins.jpg
		blendFunc filter
	}
}

textures/1fancy/hugoscake
{
		qer_editorimage textures/1fancy/hugoscake.jpg						polygonOffset

		nomipmaps

		nopicmip

		surfaceparm nodamage
	{
 		map $lightmap
		rgbGen identity
 	}
	{
 		map textures/1fancy/hugoscake.jpg
		blendFunc filter
	}
}

textures/1fancy/jrlgoo
{
		qer_editorimage textures/1fancy/jrlgoo.jpg						polygonOffset

		nomipmaps

		nopicmip

		surfaceparm nodamage
	{
 		map $lightmap
		rgbGen identity
 	}
	{
 		map textures/1fancy/jrlgoo.jpg
		blendFunc filter
	}
}

textures/1fancy/grog_machine
{
		qer_editorimage textures/1fancy/grog_machine.jpg					polygonOffset

		nomipmaps

		nopicmip

		surfaceparm nodamage
	{
 		map $lightmap
		rgbGen identity
 	}
	{
 		map textures/1fancy/grog_machine.jpg
		blendFunc filter
	}
}